commit 648eb6d3410cc6024f2452f8dba195587dd649a6
Author: Célestin Matte <gitlab@cmatte.me>
Date:   Thu Sep 9 11:37:52 2021 +0200

    Fix "push changes" crash in CommunityAuthSiteAdminForm

diff --git a/pgweb/account/admin.py b/pgweb/account/admin.py
index d4a3bd04..7e0e747a 100644
--- a/pgweb/account/admin.py
+++ b/pgweb/account/admin.py
@@ -34,7 +34,7 @@ class CommunityAuthSiteAdminForm(forms.ModelForm):
     def clean(self):
         d = super().clean()
 
-        if d.get('push_changes', False) and not d['apiurl']:
+        if d.get('push_changes', False) and not d.get('apiurl', ''):
             self.add_error('push_changes', 'API url must be specified to enable push changes!')
 
         if d.get('push_ssh', False) and not d.get('push_changes', False):
